---
title:  Community Highlights - GE Predix UI
---

_In the recurring Community Highlights, we feature the latest neat projects and components being built with Polymer._

[GE’s Predix](https://www.predix.io) is a cloud-based platform-as-a-service built to support industrial Internet of Things applications. For example, Predix provides utilities for analyzing and monitoring the massive stream of data coming from something like a windfarm or smart grid.  GE has been working with Polymer for over a year, and [recently announced Predix UI](https://www.predix.io/blog/article.html?article_id=1705)—a comprehensive set of Polymer-based web components that make it easy to assemble a high-quality applications on top of the Predix platform.

Predix UI uses Polymer to encapsulate and distribute a set of elements for everything from charts and data tables to responsive layouts and color schemes. You can use the declarative UI components to build powerful dashboards with minimal code. Or take advantage of their flexibility and use them to build complex and highly-customized applications. You can check out an example of wiring up a Predix UI data table component using Polymer's databinding system [here](https://github.com/PredixDev/px-data-table#getting-started).

Predix UI also includes a Yeoman-based [component generator](https://github.com/PredixDev/generator-px-comp), to make it as frictionless as possible to create new UI components. By being based on the web components standards with Polymer, the Predix UI components encapsulate their behavior for ultimate flexibility and modularity—they can be used to build applications from scratch, or to integrate with other web frameworks.

Check out the Predix UI components on Github at [https://predixdev.github.io/predix-ui/](https://predixdev.github.io/predix-ui/).
